qpid::console::Broker::ConnectionThread Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
qpid::console::Broker::ConnectionThread Class Reference

List of all members.

## Public Types
typedef boost::function0< void > | Functor
| Type to represent a runnable as a Functor.
## Public Member Functions
| ConnectionThread (Broker &_broker)
| ~ConnectionThread ()
void | sendBuffer (qpid::framing::Buffer &buf, uint32_t length, const std::string &exchange="qpid.management", const std::string &routingKey="broker")
void | bindExchange (const std::string &exchange, const std::string &key)
void | shutdown ()
Functor | functor ()
| Create a functor object that will call this->run().

## Member Typedef Documentation

typedef boost::function0<void> qpid::sys::Runnable::Functor`[inherited]`

Type to represent a runnable as a Functor.

Definition at line 37 of file Runnable.h.

## Constructor & Destructor Documentation

qpid::console::Broker::ConnectionThread::ConnectionThread | ( | Broker & | _broker | ) | `[inline]`

Definition at line 102 of file Broker.h.

qpid::console::Broker::ConnectionThread::~ConnectionThread | ( |  | ) |

## Member Function Documentation

void qpid::console::Broker::ConnectionThread::bindExchange | ( | const std::string & | exchange,
|  | const std::string & | key
| ) |  |

Referenced by qpid::console::Broker::addBinding().

Functor qpid::sys::Runnable::functor | ( |  | ) | `[inherited]`

Create a functor object that will call this->run().

void qpid::console::Broker::ConnectionThread::sendBuffer | ( | qpid::framing::Buffer & | buf,
|  | uint32_t | length,
|  | const std::string & | exchange = `"qpid.management"`,
|  | const std::string & | routingKey = `"broker"`
| ) |  |

void qpid::console::Broker::ConnectionThread::shutdown | ( |  | ) |

The documentation for this class was generated from the following file:

- qpid/console/Broker.h